Subject: Re: BUG: warning at net/core/dev.c:1171/skb_checksum_help() 2.6.18-rc3

From: Patrick McHardy <[email-masked]>
Date: Thu, 03 Aug 2006 11:43:14 +0200

Herbert Xu wrote:
> On Thu, Aug 03, 2006 at 11:32:32AM +0200, Patrick McHardy wrote:
> 
>>The checksum is verified here because a full checksum update is done
>>later in that function and we don't want to accidentally fix up
>>broken checksums.
> 
> 
> Sorry, I missed that.
> 
> BTW, we should make sure that we clear CHECKSUM_COMPLETE since at the
> end of the function skb->csum no longer contains the payload checksum.

nf_ip_checksum sets skb->ip_summed to CHECKSUM_UNNECESSARY in case
the checksum was correct. If not the packet is dropped, so I think
it should be fine.